com.sun.jna.platform.win32

## Interface Winevt.EVT_EXPORTLOG_FLAGS

Enclosing interface:
  Winevt

    public static interface Winevt.EVT_EXPORTLOG_FLAGS

Defines values that indicate whether the events come from a channel or log file. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385522(v=vs.85).aspx

### Field Summary

Fields
`static int` `EvtExportLogChannelPath` The source of the events is a channel.
`static int` `EvtExportLogFilePath` The source of the events is a previously exported log file.
`static int` `EvtExportLogOverwrite` no document
`static int` `EvtExportLogTolerateQueryErrors` Export events even if part of the query generates an error (is not well formed).

### Field Detail

#### EvtExportLogChannelPath

    static final int EvtExportLogChannelPath

The source of the events is a channel.

See Also:
  Constant Field Values

#### EvtExportLogFilePath

    static final int EvtExportLogFilePath

The source of the events is a previously exported log file.

See Also:
  Constant Field Values

#### EvtExportLogTolerateQueryErrors

    static final int EvtExportLogTolerateQueryErrors

Export events even if part of the query generates an error (is not well formed). The service validates the syntax of the XPath query to determine whether it is well formed. If the validation fails, the service parses the XPath into individual expressions. It builds a new XPath beginning with the leftmost expression. The service validates the expression and if it is valid, the service adds the next expression to the XPath. The service repeats this process until it finds the expression that is failing. It then uses the valid expressions as the XPath query (which means that you may not get the events that you expected). If no part of the XPath is valid, the EvtExportLog call fails.

See Also:
  Constant Field Values

#### EvtExportLogOverwrite

    static final int EvtExportLogOverwrite

no document

See Also:
  Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.